% estimateSpectrum.m
% using Iris to compute stuff;
% (c) Antti Ripatti 9.5.2011
%
%addpath c:\data\mallit\matlab\iris8;
%irisstartup;
% 1. clear workspace
home();
clear();
close('all');
% 2. simulate toy data
d = struct(); % database
wn = tseries(1:100,@randn);
figure();
plot(wn);
title('white noise');
v = VAR();
[v,data] = estimate(v,wn,Inf,'order',1);
freq = 0:0.01:pi;
[S,D] = xsf(v,freq);
% Retrieve the diagonal elements from S corresponding to the 2nd variable
s = S(1,1,:);
s = s(:);
figure();
plot(freq,s);
title('Spectrum of (simulated) white noise');
axis([0 pi 0 1]);
set(gca,'XTick',0:pi/4:pi)
set(gca,'XTickLabel',{'0','pi/4','2*pi/4','3*pi/4','pi'})
%% AR(2)
ar2 = wn;
ar2 = 0.8*ar2{-1} -0.3*ar2{-2} + wn;
h = arspec(ar2,2);
title('Spectrum of (simulated) AR(2)');
%% Read some real data ==================================
% =======================================================
% data file and transformations file
dataFile = 'c:\data\mallit\suodin\data\indata.tsp';
transFile = 'c:\data\mallit\suodin\data\datatransformations.m';
%% Load Model
m = loadstruct('c:\data\mallit\Suodin\sim\Iris\eAino_model.mat');
m = refresh(m);
[m,npath,eigval] = solve(m);
% extract the parameters at this stage to avoid confusion later
par = get(m,'Parameters');
%% Load data
db = fasttsp2db(dataFile);
db = transformdata(db,transFile);
%% work with cpi
plot(db.CPI);
pie = log(db.CPI/db.CPI{-1});
plot(pie);
h = arspec(db.CPI,6);
title('Spectrum of inflation');
h = arspec(db.dlCH_obs,6);
title('Spectral density of consumption growth');
%% Let's try coherence of dlCH and dlY
v = VAR();
[v,data] = estimate(v,db,{'dlCH_obs','dlY_obs'},qq(1978,1):qq(2009,4),'order',4,'covParameters',true);
freq = 0:0.01:pi;
[S,D] = xsf(v,freq);
sxy = S(1,2,:); sxy = sxy(:);
sx = S(1,1,:); sx = sx(:);
sy = S(2,2,:); sy = sy(:);
c = real(sxy); % cospectrum
q = imag(sxy); % quadrature spectrum
R = sqrt(c.^2+q.^2); % gain
thetaw = atan(-q./c); % phase
C = sxy.^2./(sx.*sy); % coherence
h = freqplot(freq,sx);
title('Spectral density of dlCH');
h = freqplot(freq,sy);
title('Spectral density of dlY');
h = freqplot(freq,C);
title('Coherence dlCH and dlY');
h = freqplot(freq,R);
title('Gain dlCH and dlY');
h = freqplot(freq,thetaw);
title('Phase dlCH and dlY');

