function h = freqplot(freq,s,varargin)
% plots frequency plot like spectral density
% (c) Antti Ripatti 2011
%
default = {...
    'bounds',[],@isvector,...
        };
options = passvalopt(default,varargin{:});
h = gcf();
plot(freq,s);
if ~isempty(options.bounds)
  legcell = cell(length(options.bounds),1);
  for i=1:length(options.bounds)
    legcell{i} = sprintf('%2.0f percentile',options.bounds(i));
  end;
  legend(legcell);
end;
axis([0 pi 0 100]);
axis 'auto y';
set(gca,'XTick',0:pi/4:pi);
%set (gca,'FontName','Symbol');
set(gca,'XTickLabel',{'0','pi/4','2*pi/4','3*pi/4','pi'})
%set(gca,'XTickLabel',{'0','p/4','2*p/4','3*p/4','p'},'fontname','symbol');
%set (gca,'FontName','Helvetica');
%%
%% Generate figure and remove ticklabels
% close all;
% plot(1:10);
% set(gca,'yticklabel',[], 'xticklabel', []) %Remove tick labels
% 
% %% Get tick mark positions
% yTicks = get(gca,'ytick');
% xTicks = get(gca, 'xtick');
% 
% ax = axis; %Get left most x-position
% HorizontalOffset = 0.1;
% 
% %% Reset the ytick labels in desired font
% for i = 1:length(yTicks)
% %Create text box and set appropriate properties
% text(ax(1) - HorizontalOffset,yTicks(i),['$' num2str( yTicks(i)) '$'],...
% 'HorizontalAlignment','Right','interpreter', 'latex');
% end
% 
% %% Reset the xtick labels in desired font
% minY = min(yTicks);
% HorizontalOffset = 0.2;
% 
% for xx = 1:length(xTicks)
% %Create text box and set appropriate properties
% text(xTicks(xx), minY - HorizontalOffset, ['$' num2str( xTicks(xx)) '$'],...
% 'HorizontalAlignment','Right','interpreter', 'latex');
% end