function tabulatefevd(x,h,sNames,vNames,fid)
% tabulates FEVD 
% Input
%  x 3-dim matrix of fevd
%  h scalar, horizon
%  sNames, cell of shock names
%  vNames, cell of variable names
%  fname, string, file name
% Created: 20.5.2011
% (c) Antti Ripatti
%
if nargin<5
  error('too few parameters');
end;
fprintf(fid,'horison: %-4.0f\n',h);
fprintf(fid,'                     ');
for is = 1:length(sNames);
  fprintf(fid,'%15s',sNames{is});
end;
fprintf(fid,'\n');
for iv = 1:length(vNames);
  fprintf(fid,'%-20s ',vNames{iv});
  for is = 1:length(sNames);
    fprintf(fid,'%15.2f',x(iv,is,h));
  end;
  fprintf(fid,'\n');
end;
